Skip to content

Update a skip reason

PUT
/api/subscriptions/skip-reasons/{id}
curl --request PUT \
--url https://api.usegro.co/api/subscriptions/skip-reasons/example \
--header 'Content-Type: application/json' \
--data '{ "label": "example", "description": "example", "is_active": true, "position": 1, "playbook_id": "example" }'

Updates label, description, active state, or position of an existing skip reason.

id
required
string
Media typeapplication/json
object
label
string
>= 1 characters <= 255 characters
description
string
nullable <= 1000 characters
is_active
boolean
position
number
playbook_id
string
nullable

Example generated

{
"label": "example",
"description": "example",
"is_active": true,
"position": 1,
"playbook_id": "example"
}

Updated skip reason

Media typeapplication/json
object
data
required
object
id
required
string
created_at
string
nullable
updated_at
string
nullable
is_active
required
boolean
account_id
required
string
label
required
string
description
string
nullable
position
required
number
playbook_id
string
nullable
playbook
object
id
string
name
string
status
string
Allowed values: draft active paused archived

Example

{
"data": {
"playbook": {
"status": "draft"
}
}
}